get_users:
  path:      /users.{_format}
  controller:   ::getUsersAction
  methods: [GET]

get_user:
  path:      /users/{slug}.{_format}
  controller:   ::getUserAction
  requirements: {slug: '[a-z]+'}
  methods: [GET]

patch_users:
  path:      /users.{_format}
  controller:   ::patchUsersAction
  methods: [PATCH]

patch_user:
  path:      /users/{slug}.{_format}
  controller:   ::patchUserAction
  requirements: {slug: '[a-z]+'}
  methods: [PATCH]

get_user_comment:
  path:      /users/{slug}/comments/{id}.{_format}
  controller:   ::getUserCommentAction
  requirements: {slug: '[a-z]+', id: '\d+'}
  methods: [GET]

rate_user:
  path:      /users/{slug}/rate.{_format}
  controller:   ::rateUserAction
  requirements: {slug: '[a-z]+'}
  methods: [POST]

rate_user_comment:
  path:      /users/{slug}/rate_comment/{id}.{_format}
  controller:   ::rateUserCommentAction
  requirements: {slug: '[a-z]+', id: '\d+'}
  methods: [PATCH, POST]

bget_user:
  path:      /users/{slug}/bget.{_format}
  controller:   ::bgetUserAction
  methods: [GET]

bpost_user:
  path:      /users/{slug}/bpost.{_format}
  controller:   ::bpostUserAction
  methods: [POST]

bput_user:
  path:      /users/{slug}/bput.{_format}
  controller:   ::bputUserAction
  methods: [PUT]

bdel_user:
  path:      /users/{slug}/bdel.{_format}
  controller:   ::bdelUserAction
  methods: [DELETE]

bhead_user:
  path:      /users/{slug}/bhead.{_format}
  controller:   ::bheadUserAction
  methods: [HEAD]

conditional_user:
  path:      /users/conditional.{_format}
  controller:   ::conditionalUserAction
  methods: [GET]
  condition: "context.getMethod() in ['GET', 'HEAD'] and request.headers.get('User-Agent') matches '/firefox/i'"


multipleget_users_a_get_method:
  path:      /users2.{_format}
  controller:   ::multiplegetUsersAction
  methods: [GET]
  condition: "context.getMethod() in ['GET'] and request.headers.get('User-Agent') matches '/firefox/i'"
multipleget_users_an_other_get_method:
  path:      /users3.{_format}
  controller:   ::multiplegetUsersAction
  methods: [GET]
multipleget_users_a_post_method:
  path:      /users4.{_format}
  controller:   ::multiplegetUsersAction
  methods: [POST]
  condition: "context.getMethod() in ['POST'] and request.headers.get('User-Agent') matches '/firefox/i'"
multipleget_users_a_link_method:
  path:      /users1.{_format}
  controller:   ::multiplegetUsersAction
  methods: [LINK]
  condition: "context.getMethod() in ['LINK'] and request.headers.get('User-Agent') matches '/firefox/i'"
